      ******************************************************************
      **                                                              **
      **                  WebSphere MQ for Windows                    **
      **                                                              **
      **  FILE NAME:      CMQTMC2V                                    **
      **                                                              **
      **  DESCRIPTION:    Trigger Message 2 (Character) Structure     **
      **                                                              **
      ******************************************************************
      **  <START_COPYRIGHT>                                           **
      **  Licensed Materials - Property of IBM                        **
      **                                                              **
      **  5724-B41                                                    **
      **  (C) Copyright IBM Corp. 1993, 2002 All Rights Reserved.     **
      **                                                              **
      **  US Government Users Restricted Rights - Use, duplication or **
      **  disclosure restricted by GSA ADP Schedule Contract with     **
      **  IBM Corp.                                                   **
      **  <END_COPYRIGHT>                                             **
      ******************************************************************
      **                                                              **
      **  FUNCTION:       This file declares the structure MQTMC2,    **
      **                  which is used by the main MQI.              **
      **                                                              **
      **  PROCESSOR:      COBOL                                       **
      **                                                              **
      ******************************************************************
 
      **   MQTMC2 structure
        10 MQTMC.
      **    Structure identifier
         15 MQTMC-STRUCID     PIC X(4) VALUE 'TMC '.
      **    Structure version number
         15 MQTMC-VERSION     PIC X(4) VALUE '   2'.
      **    Name of triggered queue
         15 MQTMC-QNAME       PIC X(48) VALUE SPACES.
      **    Name of process object
         15 MQTMC-PROCESSNAME PIC X(48) VALUE SPACES.
      **    Trigger data
         15 MQTMC-TRIGGERDATA PIC X(64) VALUE SPACES.
      **    Application type
         15 MQTMC-APPLTYPE    PIC X(4) VALUE SPACES.
      **    Application identifier
         15 MQTMC-APPLID      PIC X(256) VALUE SPACES.
      **    Environment data
         15 MQTMC-ENVDATA     PIC X(128) VALUE SPACES.
      **    User data
         15 MQTMC-USERDATA    PIC X(128) VALUE SPACES.
      **    Queue manager name
         15 MQTMC-QMGRNAME    PIC X(48) VALUE SPACES.
 
      ******************************************************************
      **  End of CMQTMC2V                                             **
      ******************************************************************
